Method: projects.locations.clusters.patch

更新特定 Redis 叢集的中繼資料和設定。

完成的 longrunning.Operation 會在回應欄位中包含新的叢集物件。傳回的作業會在幾小時後自動刪除,因此不需要呼叫 operations.delete。

HTTP 要求

PATCH https://redis.googleapis.com/v1/{cluster.name=projects/*/locations/*/clusters/*}

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
cluster.name

string

這是必要旗標,ID。這個範圍內資源的專屬名稱,包括專案和位置,格式為:projects/{projectId}/locations/{locationId}/clusters/{clusterId}

查詢參數

參數
updateMask

string (FieldMask format)

必要內容,要更新欄位的遮罩。這個欄位中至少須提供一個路徑。重複路徑欄位的元素只能包含 Cluster 中的下列欄位:

  • sizeGb
  • replicaCount
  • clusterEndpoints

這是以半形逗號分隔的完整欄位名稱清單,範例:"user.displayName,photo"。

requestId

string

選用。冪等要求 UUID。

要求主體

要求主體包含 Cluster 的執行個體。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

詳情請參閱Authentication Overview。